// 后端接口版本
import request from '@/utils/request'

//获取发行方列表
export function getPublisher(pageNum){
    return request({
        url:'post/publisher/list?pageNum=' +pageNum,
        method:'get'
    })
}

//删除
export function deletePublisher(id){
    return request({
        url:'/post/publisher/' + id,
        method:'delete'
    })
}

//搜索
export function searchPublisher(publisherName){
    return request({
        url:'/post/publisher/list',
        method: 'get',
        params: publisherName
    })
}


//add
export function addPublisher(){
    return request({
        url:'/post/publisher/add ',
        method: 'post' 

    })
}